"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils_1 = require("../../../../helpers/utils");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Add extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Add);
        await (0, utils_1.lbAllowlistAdd)(this, args.name, args.cidrBlock);
    }
}
exports.default = Add;
Add.description = 'Add an IP or range of IPs to the Load balancer allowlist';
Add.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Add.args = [{ name: 'name', required: true },
    { name: 'cidrBlock', required: true }];
