"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const core_1 = require("@oclif/core");
const utils_1 = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
class Delete extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.lbDelete = async (name) => {
            var _a, _b;
            try {
                const lb = await (0, utils_1.getLoadBalancerByName)(this.session.selectedOrganization.id, name);
                await this.req.delete(uris.loadBalancer(this.session.selectedOrganization.id, lb.vpc.id, lb.id));
                this.log(name, 'deleted');
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Delete);
        await this.lbDelete(args.name);
    }
}
exports.default = Delete;
Delete.description = 'Delete a Load balancer';
Delete.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Delete.args = [{ name: 'name', required: true }];
