"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../helpers/utils");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
const _ = require('lodash');
class List extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.lbList = async () => {
            var _a, _b;
            const orgId = this.session.selectedOrganization.id;
            try {
                const loadBalancers = await utils.getLoadBalancers(orgId);
                const rawData = [];
                const tableData = [];
                const header = ['Name', 'Domain', 'Status', 'VPC', 'IPs', 'Primary Certificate'];
                rawData.push(header);
                tableData.push(header);
                _.each(loadBalancers, function (lb) {
                    const lbData = [lb.name, lb.domain, lb.state, lb.vpc.name, lb.ipAddresses.join('\n'), lb.sslEndpoints[lb.defaultSslEndpoint].publicKeyCN];
                    rawData.push(lbData);
                    tableData.push(lbData);
                });
                await this.show(tableData, rawData);
            }
            catch (error) {
                ((_b = (_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        await this.lbList();
    }
}
exports.default = List;
List.description = 'Lists all Load balancers in an organization';
List.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
