"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const uris_1 = require("../../../helpers/uris");
const utils_1 = require("../../../helpers/utils");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
class Describe extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.appDescribe = async (appId) => {
            var _a, _b;
            const orgId = this.session.selectedOrganization.id;
            const envId = this.session.selectedEnvironment.id;
            try {
                const app = await this.req.get((0, uris_1.cloudHub2App)(orgId, envId, appId));
                const table = (0, utils_1.showCloudhub2Application)(app.data);
                await this.show(table, app.data);
            }
            catch (error) {
                const errorMsg = ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? error.response.data.message : error;
                this.error(errorMsg);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Describe);
        await this.appDescribe(args.appId);
    }
}
exports.default = Describe;
Describe.description = 'Show cloudhub2 application details';
Describe.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    ...flags_1.OutputFlag,
};
Describe.args = [{ name: 'appId', required: true }];
