"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../helpers/utils");
class Start extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.appStart = async (args) => {
            const orgId = this.session.selectedOrganization.id;
            const envId = this.session.selectedEnvironment.id;
            await (0, utils_1.updateApplicationStateExt)(this, orgId, envId, args.appId, 'STARTED');
        };
    }
    async run() {
        const { args } = await this.parse(Start);
        await this.appStart(args);
    }
}
exports.default = Start;
Start.description = 'Start a cloudhub application';
Start.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
};
Start.args = [{ name: 'appId', required: true }];
