"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
const core_1 = require("@oclif/core");
const _ = require("lodash");
const uris_1 = require("../../../helpers/uris");
const utils_1 = require("../../../helpers/utils");
class Describe extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.alertHistoryDesc = async (name) => {
            var _a, _b;
            try {
                const getAlertsData = (0, uris_1.cloudAlerts)(1000, 0);
                const alerts = await this.req.get(getAlertsData.url, { params: getAlertsData.params });
                const matchingAlert = _.find(alerts.data.data, { name: name });
                if (!matchingAlert) {
                    this.error(`Alert not found with name "${name}"`);
                }
                const getMatchingAlertData = (0, uris_1.cloudAlertHistory)(matchingAlert.id);
                const history = await this.req.get(getMatchingAlertData.url, { params: getMatchingAlertData.params });
                const output = await (0, utils_1.showAlertHistory)(this, history.data);
                if (output.length > 0) {
                    await this.show(output, JSON.stringify(output));
                }
            }
            catch (error) {
                ((_b = (_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Describe);
        await this.alertHistoryDesc(args.name);
    }
}
exports.default = Describe;
Describe.description = 'Describe the history of the alert';
Describe.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
Describe.args = [{ name: 'name' }];
