"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.accountInfo = exports.accountUri = exports.exchangeGetAssetInfo = exports.exchangeGetAssetInfoUri = exports.cloudHub2LogsFile = exports.cloudHub2LogsAfterDocId = exports.cloudHub2Logs = exports.cloudHub2App = exports.cloudHub2Deployments = exports.cloudHub2 = exports.getTargetInfo = exports.cloudAppV2DeploymentLogs = exports.cloudAppV2Deployments = exports.cloudAppV2Logs = exports.cloudAppStaticIPs = exports.cloudAppFileDownload = exports.cloudAppStatus = exports.cloudAppV2 = exports.cloudApp = exports.regions = exports.cloudAlertHistory = exports.cloudAlerts = exports.vpcsQuery = exports.loadBalancer = exports.loadBalancers = exports.vpc = exports.vpcs = exports.cloudAppsV2 = void 0;
const fmt = require('util').format;
const cloudApps = '/cloudhub/api/applications';
exports.cloudAppsV2 = '/cloudhub/api/v2/applications';
const vpcs = (orgId) => fmt('/cloudhub/api/organizations/%s/vpcs', orgId);
exports.vpcs = vpcs;
const vpc = (orgId, vpcId) => fmt('%s/%s', (0, exports.vpcs)(orgId), vpcId);
exports.vpc = vpc;
const loadBalancers = (orgId, vpcId) => fmt('%s/loadbalancers', (0, exports.vpc)(orgId, vpcId));
exports.loadBalancers = loadBalancers;
const loadBalancer = (orgId, vpcId, lbId) => {
    return fmt('%s/%s', (0, exports.loadBalancers)(orgId, vpcId), lbId);
};
exports.loadBalancer = loadBalancer;
const vpcsQuery = function (orgId, limit, offset, sort) {
    const url = (0, exports.vpcs)(orgId);
    return {
        url: url,
        params: {
            limit: limit,
            offset: offset,
            sort: sort,
        },
    };
};
exports.vpcsQuery = vpcsQuery;
const cloudAlerts = (limit, offset) => {
    return {
        url: '/cloudhub/api/v2/alerts',
        params: {
            limit: limit,
            offset: offset,
        },
    };
};
exports.cloudAlerts = cloudAlerts;
const cloudAlertsBase = '/cloudhub/api/v2/alerts';
const cloudAlertHistory = (alertId) => {
    const url = fmt('%s/%s/history', cloudAlertsBase, alertId);
    return {
        url: url,
        params: {
            limit: 1000,
        },
    };
};
exports.cloudAlertHistory = cloudAlertHistory;
exports.regions = '/cloudhub/api/regions';
const cloudApp = function (name) {
    return fmt('%s/%s', cloudApps, name);
};
exports.cloudApp = cloudApp;
const cloudAppV2 = (name) => {
    return fmt('%s/%s', exports.cloudAppsV2, name);
};
exports.cloudAppV2 = cloudAppV2;
const cloudAppStatus = function (name) {
    return fmt('%s/status', (0, exports.cloudApp)(name));
};
exports.cloudAppStatus = cloudAppStatus;
const cloudAppFileDownload = function (appName, fileName) {
    return fmt('%s/download/%s', (0, exports.cloudApp)(appName), fileName);
};
exports.cloudAppFileDownload = cloudAppFileDownload;
const cloudAppStaticIPs = function (appName) {
    return fmt('%s/staticips', (0, exports.cloudAppV2)(appName));
};
exports.cloudAppStaticIPs = cloudAppStaticIPs;
const cloudAppV2Logs = (appName, instanceId) => {
    return fmt('%s/instances/%s/log-file', (0, exports.cloudAppV2)(appName), instanceId);
};
exports.cloudAppV2Logs = cloudAppV2Logs;
const cloudAppV2Deployments = function (appName) {
    const url = fmt('%s/deployments', (0, exports.cloudAppV2)(appName));
    return {
        url: url,
        params: {
            limit: 1,
            orderByDate: 'DESC',
        },
    };
};
exports.cloudAppV2Deployments = cloudAppV2Deployments;
const cloudAppV2DeploymentLogs = function (appName, deploymentId) {
    const url = fmt('%s/%s/deployments/%s/logs', exports.cloudAppsV2, appName, deploymentId);
    return {
        url: url,
        params: {
            limit: 50,
        },
    };
};
exports.cloudAppV2DeploymentLogs = cloudAppV2DeploymentLogs;
const getTargetInfo = function (orgId, targetId) {
    return fmt('/runtimefabric/api/organizations/%s/targets/%s', orgId, targetId);
};
exports.getTargetInfo = getTargetInfo;
exports.cloudHub2 = '/amc/application-manager/api/v2/organizations/%s/environments/%s/deployments';
const cloudHub2Deployments = function (orgId, envId) {
    return fmt(exports.cloudHub2, orgId, envId);
};
exports.cloudHub2Deployments = cloudHub2Deployments;
const cloudHub2App = function (orgId, envId, appId) {
    return fmt('%s/%s', (0, exports.cloudHub2Deployments)(orgId, envId), appId);
};
exports.cloudHub2App = cloudHub2App;
const cloudHub2Logs = function (orgId, envId, appId, specId) {
    return fmt('%s/specs/%s/logs', (0, exports.cloudHub2App)(orgId, envId, appId), specId);
};
exports.cloudHub2Logs = cloudHub2Logs;
const cloudHub2LogsAfterDocId = function (orgId, envId, appId, specId, docId) {
    return fmt('%s/specs/%s/logs?descending=false&afterDocId=%s', (0, exports.cloudHub2App)(orgId, envId, appId), specId, docId);
};
exports.cloudHub2LogsAfterDocId = cloudHub2LogsAfterDocId;
const cloudHub2LogsFile = function (orgId, envId, appId, specId) {
    return fmt('%s/file', (0, exports.cloudHub2Logs)(orgId, envId, appId, specId));
};
exports.cloudHub2LogsFile = cloudHub2LogsFile;
exports.exchangeGetAssetInfoUri = '/exchange/api/v1/assets/%s/%s';
const exchangeGetAssetInfo = function (orgId, artifactId, groupId) {
    groupId = groupId || orgId;
    return fmt(exports.exchangeGetAssetInfoUri, groupId, artifactId);
};
exports.exchangeGetAssetInfo = exchangeGetAssetInfo;
exports.accountUri = '/accounts/api/organizations/%s';
const accountInfo = function (orgId) {
    return fmt(exports.accountUri, orgId);
};
exports.accountInfo = accountInfo;
